[Re-opened as new thread] Meteor Error while running : Unexpected token <


#1

Hi Meteor,
Im receiving an error while running meteor.

Error

Unable to resolve some modules:

“cordova/exec” in /home/ananth/workspace-meteor/proj-name/android/android/project/platform_www/cordova-js-src/platform.js
(os.linux.x86_64)
“cordova/channel” in
/home/ananth/workspace-meteor/proj-name/android/android/project/platform_www/cordova-js-src/platform.js (os.linux.x86_64)
“cordova/utils” in /home/ananth/workspace-meteor/proj-name/android/android/project/platform_www/cordova-js-src/exec.js
(os.linux.x86_64)
“cordova/android/promptbasednativeapi” in
/home/ananth/workspace-meteor/proj-name/android/android/project/platform_www/cordova-js-src/android/nativeapiprovider.js
(os.linux.x86_64)
“cordova/android/nativeapiprovider” in
/home/ananth/workspace-meteor/proj-name/android/android/project/platform_www/cordova-js-src/exec.js (os.linux.x86_64)
“cordova/base64” in /home/ananth/workspace-meteor/proj-name/android/android/project/platform_www/cordova-js-src/exec.js
(os.linux.x86_64)
“cordova/modulemapper” in
/home/ananth/workspace-meteor/proj-name/android/android/project/platform_www/cordova-js-src/platform.js (os.linux.x86_64)
“cordova/init” in /home/ananth/workspace-meteor/proj-name/android/android/project/platform_www/cordova.js
(os.linux.x86_64)

If you notice problems related to these missing modules, consider running:

meteor npm install --save cordova

W20170919-22:44:33.561(5.5)? (STDERR) /home/ananth/workspace-meteor/proj-name/android/android/project/cordova/node_modules/plist/examples/browser/index.html:1
W20170919-22:44:33.564(5.5)? (STDERR) (function (exports, require, module, __filename, __dirname) {
W20170919-22:44:33.565(5.5)? (STDERR) ^
W20170919-22:44:33.566(5.5)? (STDERR)
W20170919-22:44:33.567(5.5)? (STDERR) SyntaxError: Unexpected token <
W20170919-22:44:33.568(5.5)? (STDERR) at exports.runInThisContext (vm.js:53:16)
W20170919-22:44:33.569(5.5)? (STDERR) at Module._compile (module.js:373:25)
W20170919-22:44:33.570(5.5)? (STDERR) at Object.Module._extensions…js (module.js:416:10)
W20170919-22:44:33.571(5.5)? (STDERR) at Module.load (module.js:343:32)
W20170919-22:44:33.572(5.5)? (STDERR) at Function.Module._load (module.js:300:12)
W20170919-22:44:33.572(5.5)? (STDERR) at Module.require (module.js:353:17)
W20170919-22:44:33.573(5.5)? (STDERR) at require (internal/module.js:12:17)
W20170919-22:44:33.574(5.5)? (STDERR) at npmRequire (/home/ananth/workspace-meteor/proj-name/.meteor/local/build/programs/server/npm-require.js:133:10)
W20170919-22:44:33.575(5.5)? (STDERR) at Module.useNode (packages/modules-runtime.js:687:18)
W20170919-22:44:33.576(5.5)? (STDERR) at fileEvaluate (packages/modules-runtime.js:332:20)
=> Exited with code: 1
=> Your application is crashing. Waiting for file change.
Doing HTTP request: POST

Can some one direct me?

Regards,
Ananth S